#pragma once
#include "GdiPlusWrapper.h"
#include "CommonFunction.h"
#include "ChatDialogManager.h"


#define CONFIGMEMO_TITLE_TEXT_COLOR	RGB(34,34,34)
#define CONFIGMEMO_BASIC_TEXT_COLOR	RGB(102,102,102)

class CConfigMemo : public CConfigBaseDlg
{
	DECLARE_DYNAMIC(CConfigMemo)

public:
	CConfigMemo(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CConfigMemo();

	enum { IDD = IDD_CONFIG_MEMO };

	void InitData();
	void DoApply();

protected:
	DECLARE_MESSAGE_MAP()

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnInitDialog();

	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnBnClickedRadioChatBubble();
	afx_msg void OnBnClickedRadioChatPlain();
	
private:
	CRect m_rcNoteTitleText;
	CRect m_rcAlramDefalutText;
	CRect m_rcAlramViewText;
	CRect m_rcAlramTaskBarText;
	CRect m_rcAlramRejectText;
	CRect m_rcCopyText;
	CRect m_rcCopyTitleText;
	CRect m_rcNoteCloseTitleText;
	CRect m_rcNoteCloseText;


	CRect m_rcChatModeTitleText;
	CRect m_rcChatModeBubbleText;
	CRect m_rcChatModePlainText;

	CNMImgRadioButton m_rdAlramDefault;		// Ʈ̾˸ 1
	CNMImgRadioButton m_rdAlarmTaskBar;		// ۾ǥ ˸ 2
	CNMImgRadioButton m_rdAlarmView;		// Ʈ+ٷ  3
	CNMImgRadioButton m_rdAlarmReject;		//   0 

	CNMImgRadioButton m_rdChatBubble;		// ǳ
	CNMImgRadioButton m_rdChatPlain;		// Ϲ ؽƮ

	CNMImgCheckButton m_chkCopyNameDate;	// ȭ  ̸&ð ڵ  üũڽ
	CNMImgCheckButton m_chkNoteClose;		//  â ݱ 

	CNMImgCheckButton m_chkNoteRecovery;	//   ߰.

	int m_nMemoAlarmType;
	int m_nChatMode;
};
